Get contactFolder
Namespace: microsoft.graph
Important
APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.
Get a contact folder by using the contact folder ID.
There are two scenarios where an app can get another user's contact folder:
- If the app has application permissions, or,
- If the app has the appropriate delegated permissions from one user, and another user has shared a contact folder with that user, or, has given delegated access to that user. See details and an example.
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
| Permission type | Permissions (from least to most privileged) |
|---|---|
| Delegated (work or school account) | Contacts.Read, Contacts.ReadWrite |
| Delegated (personal Microsoft account) | Contacts.Read, Contacts.ReadWrite |
| Application | Contacts.Read, Contacts.ReadWrite |
HTTP request
GET /me/contactFolders/{id}
GET /users/{id | userPrincipalName}/contactFolders/{id}
Optional query parameters
This method supports the OData Query Parameters to help customize the response.
Request headers
| Name | Type | Description |
|---|---|---|
| Authorization | string | Bearer {token}. Required. |
Request body
Do not supply a request body for this method.
Response
If successful, this method returns a 200 OK response code and contactFolder object in the response body.
Example
Request
Here is an example of the request.
GET https://graph.microsoft.com/beta/me/contactFolders/{id}
Response
Here is an example of the response. Note: The response object shown here might be shortened for readability.
HTTP/1.1 200 OK
Content-type: application/json
{
"displayName": "Finance",
"id": "AAMkAGI2TKI5AAA=",
"parentFolderId": "AAMkAGI2AAEOAAA=",
"wellKnownName": null
}
Feedback
Submit and view feedback for